Subject: Research on Cannabis

From: <[email-masked]>
Date: Wed, 29 Mar 1995 00:43:52 EST

Hello, my name is Moshe and I'm an undergraduate student at Kingsborough
Community College in Brooklyn, NY. My friend is doing a research paper for
our Biology of Green Plants class, entitled: Historical, Medicinal, and Mythica
l uses of Cannabis. He would appreciate any information on the topic, including
places to look on the internet, references in texts, and any general info one
might have. Being that he is not on the Net yet, please e-mail any respones
to me and I will forward them. Thank you.
 
Moshe Satt ([email-masked])